curl --request GET \
--url 'https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/exchange/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"meta": {
"page": 1,
"limit": 10
},
"result": [
{
"type": "Sent",
"date": "2025-06-07T11:58:11.000Z",
"mainContent": {
"coinIcons": [
"https://static.coinstats.app/coins/1650455629727.png"
],
"coinAssets": []
},
"coinData": {
"count": -0.00636637,
"symbol": "ETH",
"currentValue": 29.21596436513665
},
"profitLoss": {
"profit": -13.414468590167441,
"profitPercent": -84.44241338814263,
"currentValue": 29.21596436513665
},
"transactions": [
{
"action": "Sent",
"items": [
{
"id": "publicApi_0_0x3f1A9B2c5E4C7d9F8E23bC19A8A6c77B10e62E5dGROUP436a0bddwithdraw",
"count": -0.00636637,
"totalWorth": 15.88593699768782,
"coin": {
"id": "ethereum",
"name": "Ethereum",
"symbol": "ETH",
"icon": "https://static.coinstats.app/coins/1650455629727.png"
}
}
]
}
],
"fee": {
"coin": {
"id": "ethereum",
"name": "Ethereum",
"symbol": "ETH",
"icon": "https://static.coinstats.app/coins/1650455629727.png"
},
"count": 0.000033840249219,
"totalWorth": 0.08444122271861178
},
"hash": {
"id": "0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4",
"explorerUrl": "https://etherscan.io/tx/0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4"
}
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Get Exchange Transactions
Get transaction data for a specific exchange by portfolioId.
curl --request GET \
--url 'https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/exchange/transactions?portfolioId=618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/exchange/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"meta": {
"page": 1,
"limit": 10
},
"result": [
{
"type": "Sent",
"date": "2025-06-07T11:58:11.000Z",
"mainContent": {
"coinIcons": [
"https://static.coinstats.app/coins/1650455629727.png"
],
"coinAssets": []
},
"coinData": {
"count": -0.00636637,
"symbol": "ETH",
"currentValue": 29.21596436513665
},
"profitLoss": {
"profit": -13.414468590167441,
"profitPercent": -84.44241338814263,
"currentValue": 29.21596436513665
},
"transactions": [
{
"action": "Sent",
"items": [
{
"id": "publicApi_0_0x3f1A9B2c5E4C7d9F8E23bC19A8A6c77B10e62E5dGROUP436a0bddwithdraw",
"count": -0.00636637,
"totalWorth": 15.88593699768782,
"coin": {
"id": "ethereum",
"name": "Ethereum",
"symbol": "ETH",
"icon": "https://static.coinstats.app/coins/1650455629727.png"
}
}
]
}
],
"fee": {
"coin": {
"id": "ethereum",
"name": "Ethereum",
"symbol": "ETH",
"icon": "https://static.coinstats.app/coins/1650455629727.png"
},
"count": 0.000033840249219,
"totalWorth": 0.08444122271861178
},
"hash": {
"id": "0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4",
"explorerUrl": "https://etherscan.io/tx/0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4"
}
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Required
Required
- portfolioId: Identifier of an exchange portfolio you have connected.
- Exchange must be synced first via PATCH /exchange/sync.
Optional
Optional
- page & limit: Control pagination of the transaction list.
- from / to: Filter by date range (ISO 8601).
- currency: Display currency for transaction values.
- types: Comma-separated transaction types to filter by. The full list of supported values is available via GET /exchange/transactions/types.
- hideUnidentifiedCoins: Set to true to hide transactions of unidentified coins. Defaults to false.
Authorizations
API key required to access the endpoints. Generate one from your dashboard at https://openapi.coinstats.app and pass it in the X-API-KEY request header. Never expose your key in client-side code.
Query Parameters
Page number to retrieve (1-based indexing)
1
Number of items to return per page
20
Please include the date in ISO 8601 format
"2026-09-10T07:13:47.479Z"
Please include the date in ISO 8601 format
"2026-09-11T09:13:47.479Z"
"USD"
Comma-separated transaction types to filter by. The full list of supported values is available via GET /exchange/transactions/types.
When true, hides transactions of unidentified coins. Accepted values: true, false, 1, 0. Defaults to false.
true
The identifier of portfolio, which you received from Exchange Balance response.
"618f0bb0f2cf07dce25bc5007750bf1646825509bb63519bd491ab6a56daa419"
Response
Get exchange transactions
Pagination metadata including total count and current page information
Show child attributes
Show child attributes
{ "page": 1, "limit": 10 }
Array of transaction records
Show child attributes
Show child attributes
[
{
"type": "Sent",
"date": "2025-06-07T11:58:11.000Z",
"mainContent": {
"coinIcons": [
"https://static.coinstats.app/coins/1650455629727.png"
],
"coinAssets": []
},
"coinData": {
"count": -0.00636637,
"symbol": "ETH",
"currentValue": 29.21596436513665
},
"profitLoss": {
"profit": -13.414468590167441,
"profitPercent": -84.44241338814263,
"currentValue": 29.21596436513665
},
"transactions": [
{
"action": "Sent",
"items": [
{
"id": "publicApi_0_0x3f1A9B2c5E4C7d9F8E23bC19A8A6c77B10e62E5dGROUP436a0bddwithdraw",
"count": -0.00636637,
"totalWorth": 15.88593699768782,
"coin": {
"id": "ethereum",
"name": "Ethereum",
"symbol": "ETH",
"icon": "https://static.coinstats.app/coins/1650455629727.png"
}
}
]
}
],
"fee": {
"coin": {
"id": "ethereum",
"name": "Ethereum",
"symbol": "ETH",
"icon": "https://static.coinstats.app/coins/1650455629727.png"
},
"count": 0.000033840249219,
"totalWorth": 0.08444122271861178
},
"hash": {
"id": "0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4",
"explorerUrl": "https://etherscan.io/tx/0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4"
}
}
]
Was this page helpful?